MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023393Community[OCCT] OCCT:Foundation Classespublic2012-08-19 10:592012-11-16 13:17
ReporterRoman Lygin 
Assigned ToRoman Lygin 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023393: Improve usability of OSD_MAllocHook::CollectBySize
Description1. Fields of OSD_MAllocHook::CollectBySize are made public (not private) to enable access for debugging purposes.
2. Added field myMaxAllocSize to denote maximum tracked size

This will improve usability of the hook due to ability to access its contents programmatically, not only via a dump file generated by MakeReport(). For instance a regression test for 0023392 could be extended with a check
if (OSD_MAllocHook::GetCollectBySize()->myTotalLeftSize == 0) {
  //OK
} else {
  //FAIL
}
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0023392closedRoman Lygin Memory leak in OCAF in debug mode 

-  Notes
(0021283)
Roman Lygin (developer)
2012-08-19 11:02

Fix pushed to the repository
(0021291)
msv (developer)
2012-08-20 17:33

The fix is OK for me.
No testing is needed.
(0021322)
apn (administrator)
2012-08-23 13:25
edited on: 2012-08-23 13:27

Test case will be added after testing in debug mode.
In optimize mode we get empty report file 'cause function OSD_MAllocHook::CollectBySize::MakeReport does not go into the condition
"if (myArray[i].nbAlloc > 0 || myArray[i].nbFree > 0} "


- Related Changesets
occt: master 1cc1abe1
Timestamp: 2012-08-19 07:01:32
Author: Roman Lygin
Details ] Diff ]
0023393: Improve usability of OSD_MAllocHook::CollectBySize

Usability of OSD_MAllocHook::CollectBySize was improved:
- fields of OSD_MAllocHook::CollectBySize are made public (not private) to enable access for debugging purposes.
- added field myMaxAllocSize to denote maximum tracked size
mod - src/OSD/OSD_MAllocHook.cxx Diff ] File ]
mod - src/OSD/OSD_MAllocHook.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-08-19 10:59 Roman Lygin New Issue
2012-08-19 10:59 Roman Lygin Assigned To => abv
2012-08-19 11:02 Roman Lygin Note Added: 0021283
2012-08-19 11:02 Roman Lygin Status new => resolved
2012-08-19 11:25 abv Assigned To abv => msv
2012-08-20 17:33 msv Note Added: 0021291
2012-08-20 17:33 msv Assigned To msv => bugmaster
2012-08-20 17:33 msv Status resolved => reviewed
2012-08-23 13:06 abv Relationship added related to 0023392
2012-08-23 13:25 apn Note Added: 0021322
2012-08-23 13:27 apn Note Edited: 0021322 View Revisions
2012-08-23 13:28 apn Status reviewed => tested
2012-08-27 16:17 rln Changeset attached => occt master 1cc1abe1
2012-08-27 16:17 rln Assigned To bugmaster => rln
2012-08-27 16:17 rln Status tested => verified
2012-08-27 16:17 rln Resolution open => fixed
2012-08-31 11:59 user533 Assigned To rln => Roman Lygin
2012-09-03 17:47 bugmaster Target Version => 6.5.4
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker